cWait(3)

NAME
cWait - wait a condition variable signal.

SYNOPSIS
#include <util/ulocks.h> NEOERR *cWait(pthread_cond_t *cond, pthread_mutex_t *mutex);

ARGUMENTS
cond - condition variable to wait on.
mutex - locked mutex to protect <cond>.

DESCRIPTION
Waits for a signal on condition variable <cond>. The mutex <mutex> must be locked by the thread. MT-Level: Safe.

RETURN VALUE
None.

SEE ALSO
mCreate(3), fCreate(3), mUnlock(3), fUnlock(3), cBroadcast(3), cSignal(3), fFind(3), cDestroy(3), cCreate(3), mDestroy(3), cWait(3), fLock(3), fDestroy(3), mLock